# Class: MapBrowserEvent

## ol.MapBrowserEvent

### Extends

- ol.MapEvent
- oli.MapBrowserEvent

### Members

#### coordinate{ol.Coordinate} experimental

#### nullableframeState{olx.FrameState} experimental

  The frame state at the time of the event.

#### map{ol.Map} experimental

  The map where the event occurred.

#### constantoriginalEvent{Event} experimental

#### pixel{ol.Pixel} experimental

### Methods

#### preventDefault() experimental

src/ol/mapbrowserevent.js, line 70

  Prevents the default browser action.

  See:
    - https://developer.mozilla.org/en-US/docs/Web/API/event.preventDefault

#### stopPropagation() experimental

src/ol/mapbrowserevent.js, line 82

  Prevents further propagation of the current event.

  See:
    - https://developer.mozilla.org/en-US/docs/Web/API/event.stopPropagation

### Events

#### click experimental

src/ol/mapbrowserevent.js, line 476

  A click with no dragging. A double click will fire two of this.

#### dblclick experimental

src/ol/mapbrowserevent.js, line 482

  A true double click, with no dragging.

#### moveend inherited experimental

src/ol/mapevent.js, line 17

  Triggered after the map is moved.

#### pointerdrag experimental

src/ol/mapbrowserevent.js, line 488

  Triggered when a pointer is dragged.

#### pointermove experimental

src/ol/mapbrowserevent.js, line 496

  Triggered when a pointer is moved.

#### postrender inherited experimental

src/ol/mapevent.js, line 11

  Triggered after a map frame is rendered.

#### singleclick experimental

src/ol/mapbrowserevent.js, line 469

  A true single click with no dragging and no double click. Note that this event is delayed by 250 ms to ensure that it is not a double click.